import { z } from 'zod';
declare const num: z.ZodNumber, str: z.ZodString, stamp: z.ZodNumber;
declare const hex: z.ZodEffects<z.ZodString, string, string>;
declare const label: z.ZodString;
declare const hash: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
declare const pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
declare const sig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
declare const tags: z.ZodArray<z.ZodString, "many">;
declare const unsigned_note: z.ZodObject<{
    content: z.ZodString;
    created_at: z.ZodNumber;
    kind: z.ZodNumber;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    tags: z.ZodArray<z.ZodArray<z.ZodString, "many">, "many">;
}, "strip", z.ZodTypeAny, {
    content: string;
    created_at: number;
    kind: number;
    pubkey: string;
    tags: string[][];
}, {
    content: string;
    created_at: number;
    kind: number;
    pubkey: string;
    tags: string[][];
}>;
declare const signed_note: z.ZodObject<{
    content: z.ZodString;
    created_at: z.ZodNumber;
    kind: z.ZodNumber;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    tags: z.ZodArray<z.ZodArray<z.ZodString, "many">, "many">;
    id: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    sig: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
}, "strip", z.ZodTypeAny, {
    content: string;
    created_at: number;
    kind: number;
    pubkey: string;
    tags: string[][];
    id: string;
    sig: string;
}, {
    content: string;
    created_at: number;
    kind: number;
    pubkey: string;
    tags: string[][];
    id: string;
    sig: string;
}>;
export { hash, hex, label, unsigned_note, signed_note, num, pubkey, sig, str, tags, stamp };
